`delarte`
=========

🚧 Du code a mettre au propre, dans le seul but de faire du python


💡 Mais c’est quoi?
-------------------

Récupérer un flux vidéo dans un fichier local avec sous titres.


🚀 Chauffe Marcel!
------------------

_(pour distribution de famille Debian, adapter les commandes sinon)_

```bash
git clone https://git.afpy.org/fcode/delarte.git && cd delarte
sudo apt install ffmpeg
mkdir ~/.venvs && python3 -m venv ~/.venvs/delarte
source ~/.venvs/delarte/bin/activate
pip install -r requirements.txt
export PATH_FFMPEG=$(which ffmpeg)
./delarte.py https://www.arte.tv/fr/videos/093644-001-A/meaningless_strings_but_mandatory/
L'incroyable périple de Magellan (1/4)
        VF : Français
        VO-STF : Version originale - ST français
        VF-STMF : Français (sourds et malentendants)
        VFAUD : Français (audiodescription)
        VA-STA : Allemand
        VA-STMA : Allemand (sourds et malentendants)
        VAAUD : Allemand (audiodescription)
```

Rajouter le code sous-titre en paramètre:

```python
./delarte.py https://www.arte.tv/fr/videos/093644-001-A/meaningless_strings_but_mandatory/ VO-STF
```

🔧 Tripoter sous le capot
-------------------------


### 🚀 Chauffe Marcel!

- `Python 3.10` à été utilisé
- Code formaté avec [`black`](https://pypi.org/project/black) & [`pydocstyle`](https://pypi.org/project/pydocstyle/)
- Installation des outils de développement:
    * `pip install -r requirements-dev.txt`
- Un `Makefile` équipé: executer `make help` pour le détail
- Un  _git hook_ de `pre-commit`
    * `make init-pre_commit`


### 📌 Dépendances

Voir [`requirements.txt`](requirements.txt) & [`requirements-dev.txt`](requirements-dev.txt)


### 🤝 Filer un coup de main

- Question, suggestion ➡️ [_ticket du projet_](https://git.afpy.org/fcode/delarte/issues/new)
- Balance ton code ➡️ [_demande de fusion_](https://git.afpy.org/fcode/delarte/compare/devel)
